Bug 68932 - up2date won't run in command line mode
up2date won't run in command line mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-15 23:59 EDT by Need Real Name
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 20:07:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-15 23:59:39 EDT
Description of Problem:
The man page of up2date says:
"--nox  do not even attempt to display the 
gui."

Version-Release number of selected component (if applicable):
up2date-2.7.86-
7.x.3

How Reproducible:
Always

Additional Information:
I want to run up2date when 
logged in REMOTELY via ssh (using
PuTTY, a well-known Windoze client). I have X installed 
and
running on the machine, but I do NOT what to use it when logged
in remotely.

The man page 
says that I can use a command line interface with
up2date-nox or up2date --nox. But instead, I 
get:

[root@localhost]# up2date-nox
The application 'up2date-nox' lost its connection to 
the display localhost:10.0;
most likely the X server was shut down or you 
killed/destroyed
the application.
[root@localhost# up2date --nox
The application 
'up2date' lost its connection to the display localhost:10.0;
most likely the X server was shut 
down or you killed/destroyed
the application.

What part of "do not even attempt to display 
the gui" does the
program fail to understand?
Comment 1 Need Real Name 2002-10-02 06:06:24 EDT
I too am seeing this problem:

[mhyne@panda mhyne]$ 
[mhyne@panda mhyne]$ up2date -u
Gdk-ERROR **: X connection to localhost:11.0 broken (explicit kill or server
shutdown).
[mhyne@panda mhyne]$ up2date -u --nox
Gdk-ERROR **: X connection to localhost:11.0 broken (explicit kill or server
shutdown).
[mhyne@panda mhyne]$ up2date -u -nox
Gdk-ERROR **: X connection to localhost:11.0 broken (explicit kill or server
shutdown).
[mhyne@panda mhyne]$ up2date-nox -u
Gdk-ERROR **: X connection to localhost:11.0 broken (explicit kill or server
shutdown).
[mhyne@panda mhyne]$ up2date
Gdk-ERROR **: X connection to localhost:11.0 broken (explicit kill or server
shutdown).
[mhyne@panda mhyne]$
Comment 2 Need Real Name 2002-10-02 06:10:43 EDT
In my hast I did the above as non-root.  
Root gives the same errors.
Comment 3 Adrian Likins 2003-08-06 18:28:04 EDT
recent versions in concert with recent userhelper packages, should
handle this correctly.

Note You need to log in before you can comment on or make changes to this bug.